# Uses of Interface
org.eclipse.birt.chart.factory.IGenerator

Packages that use IGenerator
Package
Description
org.eclipse.birt.chart.api
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of IGenerator in org.eclipse.birt.chart.api

Methods in org.eclipse.birt.chart.api that return IGenerator
Modifier and Type
Method
Description
`IGenerator`
ChartEngine.`getGenerator()`
Returns the IChartGenerator interface used to run and render charts

## Uses of IGenerator in org.eclipse.birt.chart.factory

Classes in org.eclipse.birt.chart.factory that implement IGenerator
Modifier and Type
Class
Description
`final class`
`Generator`
Provides an entry point into building a chart for a given model.